<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDevice</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
  <meta content="Manuel Gonzalez Berges" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr>
      <td
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Component Name</span><br>
      </td>
      <td colspan="1" rowspan="1"
 style="vertical-align: top; text-align: center;"><span
 style="font-weight: bold;">fwDevice</span><br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Description<br>
      </strong></td>
      <td colspan="1" width="78%">
      <p>This component provides a layer of abstraction on top of the
PVSS datapoints, datapoint elements and configs. It makes it possible
to configure and operate at the level of devices (the Framework
equivalent for datapoints) instead of individual datapoint elements. <br>
A data driven mechanism to include new device types is included. This
reduces the code development that a developer has to provide, and
allows him to concentrate on the specifics of the hardware he is
working with.<br>
      </p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Dependencies<br>
      </strong></td>
      <td colspan="1">fwGeneral<br>
fwConfigs<br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Additional software required<br>
      </strong></td>
      <td colspan="1">None<br>
      <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Panels</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Configure addresses for the properties of a device.<br>
      </td>
      <td style="width: 50%;" colspan="1"><a
 href="panels/fwDevice/fwDeviceAddress.htm">fwDeviceAddress.pnl</a><br>
      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Configure alarms for the properties of a device.</td>
      <td style="width: 50%;" colspan="1"><a
 href="panels/fwDevice/fwDeviceAlertConfig.htm">fwDeviceAlertConfig.pnl</a><br>
      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Configure the alarm summary for a device.</td>
      <td style="width: 50%;" colspan="1"><a
 href="panels/fwDevice/fwDeviceAlertSummaryConfig.htm">fwDeviceAlertSummaryConfig.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure archiving for the
properties of a device.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceArchiveConfig.htm">fwDeviceArchiveConfig.pnl</a><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure message and command
conversions for the properties of a device.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceConversionConfig.htm">fwDeviceConversionConfig.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Create new devices.<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceCreate.htm">fwDeviceCreate.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure dp functions for the
properties of a device.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceDpFunctionConfig.htm">fwDeviceDpFunctionConfig.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure the format for the
properties of a device.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceFormatConfig.htm">fwDeviceFormatConfig.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Manage devices (add, remove,
configure)<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceManage.htm">fwDeviceManage.pnl</a><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Modify the configuration
(addresses, alarms, etc) for a set of devices selected according to
some criteria (name, type, alias and description)<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceMassConfiguration.htm">fwDeviceMassConfiguration.pnl</a><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">List all the properties of a
device and which PVSS configs have been set on each of them.<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceProperties.htm">fwDeviceProperties.pnl</a><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure the PV range for the
properties of a device.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDevicePvRangeConfig.htm">fwDevicePvRangeConfig.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Register a datapoint as a
Framework device type.<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceRegisterType.htm">fwDeviceRegisterType.pnl</a><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Appy default configuration for
the addresses and the alarms of a device and all of its children in the
hierarchy.<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceSimpleConfiguration.htm">fwDeviceSimpleConfiguration.pnl</a><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure the smoothing for the
properties of a device.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceSmoothingConfig.htm">fwDeviceSmoothingConfig.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure the units for the
properties of a device.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwDevice/fwDeviceUnitConfig.htm">fwDeviceUnitConfig.pnl</a></td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Libraries</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Global help with all functions
in the component library<br>
      </td>
      <td style="vertical-align: top;"><a
 href="scripts/libs/globals.html">All functions in fwDevice</a><br>
      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library with functions to manipulate devices<br>
      </td>
      <td style="width: 50%;" colspan="1"><a
 href="scripts/libs/fwDevice_8ctl.html">fwDevice.ctl</a><br>
      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library with functions to help in the generation of
XML configuration files for Front Ends (OPC servers)<br>
      </td>
      <td style="width: 50%;" colspan="1"><a
 href="scripts/libs/fwDeviceFrontEndConfigFile_8ctl.html">fwDeviceFrontEndConfigFile.ctl</a><br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
